- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_collection_t

# mongoc_collection_set_read_concern()

## Synopsis

    void
    mongoc_collection_set_read_concern (mongoc_collection_t *collection,
                                        const mongoc_read_concern_t *read_concern);

## Parameters

- `collection`: A mongoc_collection_t.
- `read_concern`: A mongoc_read_concern_t.

## Description

Sets the read concern to use for operations on `collection`.

The default read concern is empty: No readConcern is sent to the server unless explicitly configured.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.